/*
 * netserver.rexx
 *
 * USAGE: netserver.rexx
 *
 * netserver.rexx
 *
 * $(C): (1994, Rocco Coluccelli, Bologna)
 * $VER: netserver.rexx 1.00 (31.Jan.1995)
 */

ADDRESS COMMAND

MAXLINE = 80

IF ~SHOW('P','OLE_DISPLAY') THEN
	RUN '>NIL: Multiview iff/piano PORTNAME OLE_DISPLAY'

s1 = "Resume with another example."
s2 = "Some networks, created for the Amiga, add an extension"
s3 = "to the ARexx language for exchanging messages also between"
s4 = "programs running on different machines."
s5 = "This feature let me to adopt a new mode for printing."
CALL Print(s1,)
''SAY '-m -s120 -p120' s1
CALL Print(s2 s3 s4,)
''SAY '-m -s140 -p100' s2 s3 s4
CALL Print(s5,)
''SAY '-m -s120 -p110' s5

ADDRESS OLE_DISPLAY "OPEN NAME iff/TokenRing.server"

EXIT 0


/*
 *	procedure to split text onto lines of MAXLINE characters length
 */
Print: PROCEDURE EXPOSE MAXLINE

	DO i = 1 TO ARG()

		line = ARG(i)
		DO FOREVER

			IF LENGTH(line) <= MAXLINE THEN DO
				ECHO line
				LEAVE
				END

			pos = MAX(LASTPOS(' ',line,MAXLINE),POS(' ',line))
			IF pos = 0 THEN DO
				ECHO line
				LEAVE
				END

			ECHO LEFT(line,pos); line = SUBSTR(line,pos + 1)
		END
	END

RETURN
