/*
 * intro.rexx
 *
 * USAGE: intro.rexx
 *
 * Really the first script of my poor presentation.
 *
 * $(C): (1994, Rocco Coluccelli, Bologna)
 * $VER: intro.rexx 1.00 (08.Dec.1994)
 */

ADDRESS COMMAND

MAXLINE = 80

s1 = "This is especially dedicated, to all people"
s2 = "thinking that AMIGA needs special software,"
s3 = "to become a multimedia machine."
s4 = "I'm going to present you, the OLE System."
s5 = "OLE stands for Objects, and Links Exchanged."
CALL Print(s1 s2 s3,)
''SAY '-m -s150 -p80' s1 s2 s3
CALL Print(s4 s5,)
''SAY '-m -s120 -p90' s4 s5

s1 = "I don't want to bother you with a long discussion about this package."
s2 = "You will find all technical information on the documents,"
s3 = "that author has already inserted inside."
CALL Print(s1 s2 s3,)
''SAY '-m -s150 -p110' s1
''SAY '-m -s160 -p90' s2 s3

WAIT 1

EXIT 0


/*
 *	procedure to split text onto lines of MAXLINE characters length
 */
Print: PROCEDURE EXPOSE MAXLINE

	DO i = 1 TO ARG()

		line = ARG(i)
		DO FOREVER

			IF LENGTH(line) <= MAXLINE THEN DO
				ECHO line
				LEAVE
				END

			pos = MAX(LASTPOS(' ',line,MAXLINE),POS(' ',line))
			IF pos = 0 THEN DO
				ECHO line
				LEAVE
				END

			ECHO LEFT(line,pos); line = SUBSTR(line,pos + 1)
		END
	END

RETURN
