/*
 * telephone.rexx
 *
 * USAGE: telephone.rexx
 *
 * telephone.rexx
 *
 * $(C): (1994, Rocco Coluccelli, Bologna)
 * $VER: telephone.rexx 0.04 (10.Dec.1994)
 */

ADDRESS COMMAND

MAXLINE = 80

RUN '>NIL: Multiview 8svx/telefono PORTNAME OLE_PLAY1'
RUN '>NIL: Multiview 8svx/russata PORTNAME OLE_PLAY2'
ADDRESS OLE_PLAY1 WINDOWTOBACK
ADDRESS OLE_PLAY2 WINDOWTOBACK

ADDRESS OLE_PLAY1 DOTRIGGERMETHOD 'PLAY'
WAIT 2
ADDRESS OLE_PLAY2 DOTRIGGERMETHOD 'PLAY'
WAIT 1
ADDRESS OLE_PLAY1 DOTRIGGERMETHOD 'PLAY'

s1 = "Please, Miss Dossmasher, pick up the phone."
CALL Print(s1,)
''SAY '-m -s150 -p90' s1

ADDRESS OLE_PLAY1 DOTRIGGERMETHOD 'PLAY'
WAIT 2

s1 = "You're sleeping!"
s2 = "Wake up!"
s3 = "Respond on that fucking telephone!"
CALL Print(s1,)
''SAY '-m -s120 -p120' s1
ADDRESS OLE_PLAY1 DOTRIGGERMETHOD 'PLAY'
CALL Print(s2 s3,)
''SAY '-m -s160 -p70' s2 s3

WAIT 1
ADDRESS OLE_PLAY1 DOTRIGGERMETHOD 'PLAY'
s1 = "I'm very sorry, but your way of talking is so"
s2 = "relaxing"
CALL Print(s1 s2 || '.',)
''SAY '-f -s100 -p260' s1
''SAY '-f -s50 -p240' s2

ADDRESS OLE_PLAY2 "OPEN NAME 8svx/pugno"
ADDRESS OLE_PLAY1 "OPEN NAME 8svx/canarino"

s1 = "I see!"
s2 = "So,"
s3 = "goodnigth Miss Dossmasher!"
CALL Print(s1,)
''SAY '-m -s90 -p80' s1
ADDRESS OLE_PLAY2 DOTRIGGERMETHOD 'PLAY'
WAIT 1
ADDRESS OLE_PLAY2 DOTRIGGERMETHOD 'PLAY'
WAIT 1
ADDRESS OLE_PLAY2 DOTRIGGERMETHOD 'PLAY'
ADDRESS OLE_PLAY1 DOTRIGGERMETHOD 'PLAY'
CALL Print(s2 s3,)
''SAY '-m -s80 -p110' s2
''SAY '-m -s120 -p130' s3

ADDRESS OLE_PLAY2 QUIT
ADDRESS OLE_PLAY1 QUIT

EXIT 0


/*
 *	procedure to split text onto lines of MAXLINE characters length
 */
Print: PROCEDURE EXPOSE MAXLINE

	DO i = 1 TO ARG()

		line = ARG(i)
		DO FOREVER

			IF LENGTH(line) <= MAXLINE THEN DO
				ECHO line
				LEAVE
				END

			pos = MAX(LASTPOS(' ',line,MAXLINE),POS(' ',line))
			IF pos = 0 THEN DO
				ECHO line
				LEAVE
				END

			ECHO LEFT(line,pos); line = SUBSTR(line,pos + 1)
		END
	END

RETURN
